337 comments

I run npm install in centos 7 and the next warning is found in log:

npm WARN lifecycle sbadmin-ng2@0.0.0~install: cannot run in wd %s %s (wd=%s) sbadmin-ng2@0.0.0 napa /root/source-code/frontend
npm WARN lifecycle sbadmin-ng2@0.0.0~postinstall: cannot run in wd %s %s (wd=%s) sbadmin-ng2@0.0.0 node ./node_modules/protractor/bin/webdriver

The result is that the jquery.flot.spline library is not installed and the npm start do not work.

I run the same project in ubuntu and the result is successfull.
Hi, jquery.flot.spline is installed using "napa" tool because it's a repo without a package.json and can be installed from normal npm. Said that, it seems napa doesn't get installed correctly or it couldn't reach the repo. You can try again, or install manually napa in your system and then run it to install specific dependencies.
Alternatively, you can run 'npm install --unsafe-perm'
here you can see what is used for the flag: https://docs.npmjs.com/misc/config#unsafe-perm

Let us know if you have any question.
Regartds
gwest PURCHASED
Hi,

Do you have a release date for a version Angular 4 of your template ?

Regards
Hi, we are currently working on the upgrade but some plugins haven't moved yet to support ng4 and because of that we are a bit stucked on the update. As soon as we can move forward, we will release the new version.
We don't have a date but expect to be by the end of the month.

Thanks
Regards
gwest PURCHASED
Hi,
Can you tell me which plugins are not updated?
I would like to start updating my project before putting it into production.
I just use:
- ng-tree
- ng2-translate
- ng2-bootstrap
- ng2-file-upload

Thanks
Regards
Hi, we can confirm those plugins are working for angular4. We plan to have the project ready for the next week. Please consider that some of those plugins changed their name, like ng2-bootstrap is now ngx-bootstrap which requires a change in the package.json deps.
If you need to update before we release, we suggest you to use as a guide the @angular/cli version 1.0 because otherwise you may have conflicts with other dependencies and typings.

Regards
gwest PURCHASED
Hi,

I look forward to the release of the new version.

Thanks
Regards
Hi, Angular4 version will be available this week, we are finishing with online demos so hopefully it will be released tomorrow in the course of the day.

Thanks
Regards
+1 Also anticipating this update
Hi, Centric v1.7 was released with Angular4.

Let us know if you have any question.

Thanks for your support!
Regards
Hello,

We are having problems with the MVC timepicker control.

Unable to pick the time.

Can you please investigate.

Thanks
Hi, we are no seeing any issue with the time picker, click on input, the clock appears and allows to pick hour and minutes. Maybe we are missing something.
Do you see the problem here: http://themicon-001-site3.atempurl.com/Forms/Advanced ?

Thanks
Regards
ksnwrap PURCHASED
When i minimize the window the widgets 350 new visitors, 10,200 Page views, 880 Last Income, 780 reservations are not stacking up responsively.

I am using react template. How easy to use this existing template for an app created using create-react-app (https://github.com/facebookincubator/create-react-app). I would like to have a simple build process that comes up with create-react-app
Hi, the widgets doesn't stack automatically by design, instead two of them become hidden on small screens. This behavior can be disabled by removing classes visible-lg from columns elements.
Regarding to second question, it should be possible because create-react-app is basically a React project but the build process is very different, we use Webpack to build the code while that project uses Bash scripts which in our case are not very convenient because it's not fully cross platform (actually, it is, but requires an extra setup for windows users)

Let us know if you have any question
Regards
ksnwrap PURCHASED
Thanks. May be in future ease to use with 'create-react-app' would be a good selling point for UI template sellers
Do you have a source for the svg icons you used in the sidebar? I really like the style, but would like to see if there are more available.
Hi, those icons corresponds to Ionicons library. The specific icons used for the sidebar can found under the images folder of the project.

Let us know if you have any question
Regards
ksnwrap PURCHASED
Downloaded the latest update and the react build is failing. Could you please take a look?
Hi, we have deployed the latest update into http://themicon.co/theme/centric/v1.7/react/
Could you post the log output of the commands used? If it's too large you can use a service like pastebin.com

Thanks
Regards
Hi,

We liked to purchase this theme for our application, need a clarification before purchase.

We already developed a application in angular 1.3.15 version (or 1.3.X). Do we get this theme files with same angular version. If so, it would be easy & helpful for us to integrate this theme with our existing app, and we are ready to purchase.

Thanks.
Hello, the angular1.x version of this template is based on Angular 1.5.x. Changes from 1.3 to 1.5 doesn't have a big impact in the code, but if you already have an application developed you will need to convert your application to the structure of the template, because this template is mainly designed to be used to build a project on top of it and not as a framework that you can integrate into an already existing application.
Let us know if you have any question
Regards
Hi themicon, Is flot chart library is compatible with Angular 4 ?
HI, we use Flot charts in the same way for this template so here is the same answer like in our other product "Angle".

The flot chart library by itself is not compatible with angular4 because it's a jQuery plugin. To make it compatible, meaning, to allow use it in the "angular way" we have added a simple directive that takes parameters from tag attributes (like options, dataset, etc) and send them to Flot library, also with events to update chart on data changes, so it can be used with props from components without wrapping explicitly jQuery.

Let us know if you have any question
Regards
ksnwrap PURCHASED
Why they have mixed bower and npm? and also naming convention js would have been better than jsx files
HI, bower is mainly there because not all dependencies are available via npm. Nowadays there more plugins have been moved to npm and also there are solution to avoid bower, so it's in our plan to remove bower at least for npm based project like React. We use JSX for proper jsx code, which include markup and .js for javascript only code.

Regards
ksnwrap PURCHASED
how easy to use with create-react app?
Hi, it won't be impossible because it's a React code and the main difference is the build system but since the build system of create-react-app is based on scripts it makes a bit difficult to say how hard will be the migration process. Also, the project create-react-app uses Bash scripts which in our case are not very convenient because it's not fully cross platform (actually, it is, but requires an extra setup for windows users)

Let us know if you have any question
Regards
ksnwrap PURCHASED
React JS
Is it possible to provide a base seed project in future release. So things can be added as and when required rather than try and figure out the feature required or not and them remove?
Hi again, yes, we could provide a seed project in a future release (currently we are out of time with other priority updates), by removing all extra dependencies that don't belong to the base code that initializes the app.

Thanks for the suggestion!
Regards
Is it possible to have some menu items start collapsed and others start non-collapsed?
Hi, what project are you using (angular, jquery, etc) ?

Regards
guillo PURCHASED
Hi,
Is this template compatible with React 15 and react-router 4?

If so, do you provide installation instructions?

Thank you
Hi, the React version project uses "react": "15.3.2", but react-router is 3.0.0
For the moment we don't support router v4 but it will be updated as soon as possible

Let us know if you have any question
Regards
guillo PURCHASED
Thank you for your reply.

I read the documentation in order to run the app locally but I'm getting error after error.

What do I need to have installed (in my mac) in order to make it run properly? Do I need that same version of react (15.3.2), or does it also work with newer versions? I'm running on the last version of React.

My objective is to either integrate the style of Centric into my existing react app and be able to use Centric's components; or use Centric as a starting point to build my app.

I appreciate your help
Hi, the react project doesn't require more than a node enviroment to run it. Make sure you are on node 6.x and npm 3.10.8, we know from other users that newer versions could present some issues with dependencies.
Regarding to React version, we haven't tested the template beyond 15.3.2 but it should not have breaking changes. Btw, what errors do you see?

Thanks
Regards
Hi, when do you plan to update the meteor js version to 1.5? Thanks.
Hi, you can run "meteor update" in the root folder and the project should work fine after update. Meteor 1.5 adds new features but shouldn't present breaking changes. Of course, in the following releases we will updated the project to latest 1.5.x

Let us know if you have any question
Regards
Hello Sir,
I am using your paid version of http://themicon.co/theme/centric/v1.6/react/ .
Problem is that when i click on Dashboard side bar menu then click on Cards, but Dashboard content is shown just below Cards Content.
How can i fixed this issue ?
i need if i click on Dashboard then only Dashboard content is shown vice versa.
Regards,
Rohin Sharma
Hi, please could you try the latest version 1.7 (in the url you mentioned 1.6)
In 1.7 we have fixed the version of the package.json in the react project to avoid conflict installing dependencies not supported
Btw, do you the see that behavior in the demo website?

Regards
Hello Flag,
No not in demo website , its is in paid version.
i already did lots of code in 1.6 version , its not possible to change in package.json.

Please help me to fix this issue in this version.

One more problem today we faced :
1. If i click on Charts module then chart not showing and then if i click again on chart module , its showing properly.. I need to show Graph on Chart page load.

Regards,
Rohin Sharma
Hi, main change between 1.6 and 1.7 is the use of exact version in the package.json. Please edit your package.json and remove all symbols "^" then remove node_modules folder and run "npm install" again.
A breaking in a new package seems to be the problem. Unless you have made a custom change that triggers the issue, but you can check easily comparing the behavior against the online demo, which is the same code distributed

Let us know if you have any question
Regards
Hello Flag
I tried above steps as you mentioned.
But didnt get any luck.

Main problem is:

1. If i click on Charts module then chart not showing and then if i click again on chart module , its showing properly.. I need to show Graph on Chart page load.

Regards,
Rohin Sharma
Hi, do you see the same problem in the demo? If not present in the demo (we provide the same code we deploy) we need to see your code working to identify the possible issue. Do you see any error in browser console?

Thanks
Regards
And other issue is:
2. when i click on Dashboard side bar menu then click on Cards, but Dashboard content is shown just below Cards Content.
How can i fixed this issue ?
i need if i click on Dashboard then only Dashboard content is shown vice versa.

Regards,
Rohin Sharma
Hi, same as previous question, do you see the same problem in demo?
If you have your site online or want to share code, but want to keep it private, please feel free to send us a message via our profile and we will chat via email.

Regards
Hello themicon ,
please share your email with me ,
so that we can share our code and fix the problem .

My email is rohin2sharma@gmail.com

Regards,
Rohin Sharma
himrc PURCHASED
This doesn't work for me. Just purchased, unzipped.

cd react
npm install
npm run build (and also tried npm start)

I get a slew of errors, I get this error at least 20 times.

ERROR in ./app/Vendor.jsx
Module not found: Error: Cannot resolve 'file' or 'directory' ...

How do I fix?
himrc PURCHASED
Needed to do `bower install` as well. Twice for some reason.
Hi, bower install is required but no twice, so it could be some error while bower was downloading deps the first time. If bower detects an error automatically it stops installation.
We assume you have fixed the issue, in case it still failing please post the error log so we can check the exact error.

Thanks
Regards
It looks like the meteor version of the theme the Header does not update with the correct page title for some reason, any ideas? It constantly says "Dashboard"
Hi, thanks for pointing us this. you are right, the meteor doesn't update the title. Currently we are planning to use a trivial solution using jQuery selector to update the title when a template is rendered. Our initial intention was to use a more Blaze like solution but unfortunately it not so simple to communicate between templates without writing many lines of code for helpers.
In short,
Using the onRendered function, you can add the following sentences to update title dinamically:

$('.header-title').text('TemplateTile');

And a complete snippet, in case of new templates added could look like this:

// sometemplate.js

import { Template } from 'meteor/templating';
(function() {
'use strict';

Template.sometemplate.onRendered(initSomeTemplate);

function initSomeTemplate() {
$('.header-title').text('SomeTitle');
}

})();

Let us know if you have any question
Thanks
Regards
I ended up using the `ostrio:iron-router-title` package (for doc title), and just set the Title to be used in the `routes.js` like so:

// Cards
Router.route('cards', {
title: 'Cards',
});

Then created a template helper for {{title}} and added that to header.js:

// Helper to allow {{title}} in template without passing in route via data args
Template.header.helpers({
title:function(){
return Router.current().route.options.title;
}
});

Then just replaced Dashboard in the header.tpl.html with {{title}} and voila!
Thank you so much for sharing this solution, this is an excellent approach.
Also, thanks for the complete code ready to use :) we'll review this to implement in next update.

Regards

Write a comment

This is a great way to give the seller feedback and ask them questions about their item.

You must sign in to write a comment

Sign in or sign up to make a purchase

$16
1075Purchases

Licenses: Details »

Single application $16
Version:1.9.5
Type:
  • HTML Template
Bootstrap: Compatible with 3.3.x
Layouts:
  • Responsive
  • Fluid
  • Fixed-width
Browsers:
  • IE 9, 10, 11
  • Latest Chrome
  • Latest Edge
  • Latest Firefox
  • Latest Safari
Uses Less:Yes
Uses Sass:Yes
Categories:
Tags: angularjs, dark, html5, material, meteor, mvc, react, responsive admin template, rtl, svg
Item#:WB0901P31
Released:1 year ago
Updated:1 week ago
Sold exclusively on WrapBootstrap
themicon

themicon

Signed up 3 years ago

Need a front-end theme?

About Bootstrap

Bootstrap is designed to help people of all skill levels – designer or developer, huge nerd or early beginner. Use it as a complete kit or use it to start something more complex.

Unlike other front-end toolkits, Bootstrap was designed first and foremost as a styleguide to document not only its features, but best practices and living, coded examples.

Built to support new HTML5 elements and syntax with progressively enhanced components.

Browser support

Bootstrap is tested and supported in major modern browsers like Chrome, Firefox, and Internet Explorer.

Tested and supported in Chrome, Safari, Firefox, Internet Explorer, and Opera.
  • Latest Chrome
  • Latest Firefox
  • Latest Safari
  • Latest Edge
  • Internet Explorer 9/10/11
  • Latest Opera

Features & includes

Bootstrap provides an unparalleled array of features and reusable components that let you hit the ground running: